Subject: [mpls] FW: New Version Notification for draft-busizheng-teas-yang-te-mpls-topology-00.txt

From: Italo Busi <[email-masked]>
Date: Mon, 13 Jul 2020 15:58:39 +0000

We would like to inform both TEAS and MPLS WGs about this I-D, we have just submitted.

This I-D is replacing draft-busizheng-teas-mpls-tp-yang-02 and describes a YANG model for MPLS-TE Topology, which, based on the discussions during the TE model design discussion weekly calls, could also be used for MPLS-TP:

https://github.com/tsaad-dev/te/pull/104

In particular:

- MPLS-TE topology augments Packet-TE topology, following option 2 discussed during IETF 106:

  https://datatracker.ietf.org/meeting/106/materials/slides-106-teas-sessa-04-yang-models-for-l3-and-sr-te-topologies-00

- all bidirectional TE links can support bidirectional LSPs so there is no need to advertise the capability to support bidirectional LSPs

- A load-balancing-type leaf has been defined to advertise whether a LAG or an MPLS-TE bundle link provides per-flow or per-top-label load balancing (the latter option being acceptable for MPLS-TP LSPs)

- An uhp-incapable leaf has been defined to advertise whether an LTP is not capable to support UHP (and should not be used to reach the last node for an MPLS-TP LSP with PHP being disabled)

More details about the how this model can be used for MPLS-TP networks are described in section 3.2 of the draft.

Similar updates are also expected for draft-ietf-teas-yang-te-mpls, as discussed on github.

Comments and feedbacks to improve this document are more than welcome.

Thanks

Italo (on behalf of co-authors)

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: lunedì 13 luglio 2020 17:09
> To: Zhenghaomian <[email-masked]>; Aihua Guo
> <[email-masked]>; Xufeng Liu <[email-masked]>; Italo
> Busi <[email-masked]>
> Subject: New Version Notification for draft-busizheng-teas-yang-te-mpls-
> topology-00.txt
> 
> 
> A new version of I-D, draft-busizheng-teas-yang-te-mpls-topology-00.txt
> has been successfully submitted by Italo Busi and posted to the IETF
> repository.
> 
> Name:		draft-busizheng-teas-yang-te-mpls-topology
> Revision:	00
> Title:		A YANG Data Model for MPLS-TE Topology
> Document date:	2020-07-13
> Group:		Individual Submission
> Pages:		29
> URL:            https://www.ietf.org/internet-drafts/draft-busizheng-teas-yang-
> te-mpls-topology-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-busizheng-teas-yang-te-
> mpls-topology/
> Htmlized:       https://tools.ietf.org/html/draft-busizheng-teas-yang-te-mpls-
> topology-00
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-busizheng-teas-
> yang-te-mpls-topology
> 
> 
> Abstract:
>    This document describes a YANG data model for Multi-Protocol Label
>    Switching (MPLS) with Traffic Engineering (MPLS-TE) networks.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>